
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "minitest/naga/version"

Gem::Specification.new do |spec|
  spec.name          = "minitest-naga"
  spec.version       = Minitest::Naga::VERSION
  spec.authors       = ["Wen Ting Wang"]
  spec.email         = ["wtwang1@sheffield.ac.uk"]

  spec.summary       = %q{A minitest extension which lets you unlock achievements and collect loot when you run your test suite.}
  spec.description   = %q{This gem is one half of the gamification system, codenamed "Naga", for unit testing created for my dissertation project. It works in hand with the web application accessible at https://naga-unit-testing.herokuapp.com/.}
  spec.homepage      = "https://github.com/wtwang1/minitest-naga"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "activesupport", "~> 4.2.0"
  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "aruba"
  spec.add_development_dependency "webmock"

  spec.add_dependency "thor"
  spec.add_dependency "minitest"
  spec.add_dependency "httparty"
  spec.add_dependency "highline"
  spec.add_dependency "colorize"
end
